#[derive(
    Debug,
    Clone,
    conjure_object::serde::Serialize,
    conjure_object::serde::Deserialize,
    PartialEq,
    Eq,
    PartialOrd,
    Ord,
    Hash
)]
#[serde(crate = "conjure_object::serde")]
#[conjure_object::private::staged_builder::staged_builder]
#[builder(crate = conjure_object::private::staged_builder, update, inline)]
pub struct CannotAggregateEnumPlot {
    #[builder(into)]
    #[serde(rename = "aggregationType")]
    aggregation_type: String,
}
impl CannotAggregateEnumPlot {
    /// Constructs a new instance of the type.
    #[inline]
    pub fn new(aggregation_type: impl Into<String>) -> Self {
        Self::builder().aggregation_type(aggregation_type).build()
    }
    #[inline]
    pub fn aggregation_type(&self) -> &str {
        &*self.aggregation_type
    }
}
impl conjure_error::ErrorType for CannotAggregateEnumPlot {
    #[inline]
    fn code() -> conjure_error::ErrorCode {
        conjure_error::ErrorCode::InvalidArgument
    }
    #[inline]
    fn name() -> &'static str {
        "Compute:CannotAggregateEnumPlot"
    }
    #[inline]
    fn safe_args() -> &'static [&'static str] {
        &["aggregationType"]
    }
}
